## olde-logout 1.1

=== Makefile ===
-include makefile.mk

PREFIX ?=/usr/local
LOCALE_DIR=$(PREFIX)/share/locale


# Building flags.
CFLAGS ?=-march=native -mtune=generic -O2 -Wall
VALAFLAGS:=$(foreach w,$(LDFLAGS) $(CFLAGS) $(CPPFLAGS),-X $(w))
CFLAGS +=$(shell pkg-config --cflags gtk+-2.0 dbus-1 x11 gio-unix-2.0) -I.
LDFLAGS+=$(shell pkg-config --libs gtk+-2.0 glib-2.0 dbus-1 x11 gio-unix-2.0)

# PO and MO files
LINGUAS= $(shell ls po/*.po)
I18N_MO= $(LINGUAS:.po=.mo)


all: olde-logout $(I18N_MO)

.SUFFIXES: .c

.c.o:
	@echo "Compiling $<"
	@gcc -o $@ -c $< $(CFLAGS) $(CPPFLAGS)

olde-logout: olde-logout.o dbus-interface.o config.h
	@echo "Building $@"
	@$(CC) -o $@ $(filter-out %.h,$^) $(LDFLAGS)
	@strip -s $@

po/%.mo: po/%.po
	msgfmt -o $@ $<

PHONY: clean install configure mrproper

mrproper: clean
	rm -f makefile.mk

clean:
	rm -f olde-logout *.o $(I18N_MO)
	sed -i 's#define PREFIX.*#define PREFIX              "/usr/local"#' config.h

	rm -f makefile.mk

configure:
	sed -i 's#define PREFIX.*#define PREFIX "$(PREFIX)"#' config.h
	echo "PREFIX ?= $(PREFIX)" > makefile.mk

install: all
	install -D -m0755 olde-logout $(DESTDIR)$(PREFIX)/bin/olde-logout
	# mo files.
	for f in $(I18N_MO) ; do \
		F=`basename $$f | sed 's/\.[^\.]*$$//'`;\
		install -D -m0644 $$f $(DESTDIR)$(LOCALE_DIR)/$$F/LC_MESSAGES/olde-logout.mo;\
	done
	for f in `ls images/*.png`; do \
		install -D -m0644 $$f $(DESTDIR)$(PREFIX)/share/olde-logout/$$f;\
	done

=== debian/changelog ===
olde-logout (1.1-1) unstable; urgency=medium

  * [bfa6b7b] New upstream version 1.1

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 05 Sep 2022 21:45:25 +0200

olde-logout (1.0-1) unstable; urgency=medium

  * [d13ff06] Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 04 Sep 2022 14:25:47 +0200

=== debian/control ===
Source: olde-logout
Section: x11
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper-compat (= 13), libglib2.0-dev, libdbus-1-dev, libx11-dev, libgtk2.0-dev
Standards-Version: 4.5.1
#Vcs-Browser: https://salsa.debian.org/debian/olde-logout
#Vcs-Git: https://salsa.debian.org/debian/olde-logout.git

Package: olde-logout
Architecture: any
Depends: libcanberra-gtk-module, gnome-icon-theme, ${shlibs:Depends}, ${misc:Depends}
Description: OLDE logout dialog
 olde-logout displays a dialog where you can choose if you want to quit the
 session, power off, suspend or hibernate the computer.
 .
 This is a fork of obsession-logout stripped down to keep only the graphical
 logout dialog.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	make configure PREFIX=/usr
